Index: protocols/oscar/msgcookie.c
===================================================================
--- protocols/oscar/msgcookie.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/msgcookie.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -2,5 +2,5 @@
  * Cookie Caching stuff. Adam wrote this, apparently just some
  * derivatives of n's SNAC work. I cleaned it up, added comments.
- * 
+ *
  */
 
@@ -26,5 +26,5 @@
  * returns -1 on error, 0 on append, 1 on update.  the cookie you pass
  * in may be free'd, so don't count on its value after calling this!
- * 
+ *
  */
 int aim_cachecookie(aim_session_t *sess, aim_msgcookie_t *cookie)
@@ -32,16 +32,18 @@
 	aim_msgcookie_t *newcook;
 
-	if (!sess || !cookie)
+	if (!sess || !cookie) {
 		return -EINVAL;
+	}
 
 	newcook = aim_checkcookie(sess, cookie->cookie, cookie->type);
-	
+
 	if (newcook == cookie) {
 		newcook->addtime = time(NULL);
 		return 1;
-	} else if (newcook)
+	} else if (newcook) {
 		aim_cookie_free(sess, newcook);
+	}
 
-	cookie->addtime = time(NULL);  
+	cookie->addtime = time(NULL);
 
 	cookie->next = sess->msgcookies;
@@ -65,10 +67,11 @@
 	aim_msgcookie_t *cur, **prev;
 
-	if (!cookie || !sess->msgcookies)
+	if (!cookie || !sess->msgcookies) {
 		return NULL;
+	}
 
 	for (prev = &sess->msgcookies; (cur = *prev); ) {
-		if ((cur->type == type) && 
-				(memcmp(cur->cookie, cookie, 8) == 0)) {
+		if ((cur->type == type) &&
+		    (memcmp(cur->cookie, cookie, 8) == 0)) {
 			*prev = cur->next;
 			return cur;
@@ -90,13 +93,15 @@
  *
  */
-aim_msgcookie_t *aim_mkcookie(guint8 *c, int type, void *data) 
+aim_msgcookie_t *aim_mkcookie(guint8 *c, int type, void *data)
 {
 	aim_msgcookie_t *cookie;
 
-	if (!c)
+	if (!c) {
 		return NULL;
+	}
 
-	if (!(cookie = g_new0(aim_msgcookie_t,1)))
+	if (!(cookie = g_new0(aim_msgcookie_t, 1))) {
 		return NULL;
+	}
 
 	cookie->data = data;
@@ -123,7 +128,8 @@
 
 	for (cur = sess->msgcookies; cur; cur = cur->next) {
-		if ((cur->type == type) && 
-				(memcmp(cur->cookie, cookie, 8) == 0))
-			return cur;   
+		if ((cur->type == type) &&
+		    (memcmp(cur->cookie, cookie, 8) == 0)) {
+			return cur;
+		}
 	}
 
@@ -144,16 +150,18 @@
  *
  */
-int aim_cookie_free(aim_session_t *sess, aim_msgcookie_t *cookie) 
+int aim_cookie_free(aim_session_t *sess, aim_msgcookie_t *cookie)
 {
 	aim_msgcookie_t *cur, **prev;
 
-	if (!sess || !cookie)
+	if (!sess || !cookie) {
 		return -EINVAL;
+	}
 
 	for (prev = &sess->msgcookies; (cur = *prev); ) {
-		if (cur == cookie)
+		if (cur == cookie) {
 			*prev = cur->next;
-		else
+		} else {
 			prev = &cur->next;
+		}
 	}
 
@@ -162,3 +170,3 @@
 
 	return 0;
-} 
+}
